IRPCLogin.LogOut

View as Markdown

Vault API / core session session

Ends the session and releases its license.

ServiceLogin and sessions MFiles.IRPCLogin
gRPC method/MFiles.IRPCLogin/LogOut
HTTP (mf-http-grpc)POST /grpc/v1/log-out
RequestLogOutRequest
ResponseLogOutResponse
Book and levelVault API, core
Kindsession
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentno
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Send the session to end in mfiles-session-id-bin. After this, the session ID is rejected with UNAUTHENTICATED.

The vault's "before logout" event handlers may fail without stopping the logout. Sessions that vault applications receive from the server cannot be logged out (E_MFILES_ACCESS_DENIED).

Request: LogOutRequest

No fields.

Response: LogOutResponse

No fields.